# TextBox(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``TextBox`(bpy_struct)

  Text bounding box for layout

  `height`

    Type: | float in [0, 50], default 0.0

  `width`

    Type: | float in [0, 50], default 0.0

  `x`

    Type: | float in [-50, 50], default 0.0

  `y`

    Type: | float in [-50, 50], default 0.0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`TextCurve.text_boxes` |